# Class ComponentCreateEvent

Namespace
  Awperative

Assembly
  Awperative.dll

    public sealed record ComponentCreateEvent : IEquatable<ComponentCreateEvent>

Inheritance
  object
  ComponentCreateEvent

Implements
  IEquatable<ComponentCreateEvent>

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### body

    public readonly Body body

#### Field Value

Body

### component

    public readonly Component component

#### Field Value

Component

### scene

    public readonly Scene scene

#### Field Value

Scene